%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-cccolutils
Version:        1.2
Release:        1%{?dist}
Summary:        Python Kerberos Credential Cache Collection Utilities

License:        GPLv2+
URL:            https://pagure.io/cccolutils
Source0:        https://pagure.io/releases/cccolutils/CCColUtils-%{version}.tar.gz

BuildRequires:  krb5-devel
BuildRequires:  python-krbV
BuildRequires:  python2-devel
%if %{with python3}
BuildRequires:  python3-devel
%endif # with python3

%description
Python utilities for Kerberos Credential Cache Collections


%package     -n python2-cccolutils
Summary:        Python Kerberos Credential Cache Collection Utilities

%description -n python2-cccolutils
Python utilities for Kerberos Credential Cache Collections


%if %{with python3}
%package     -n python3-cccolutils
Summary:        Python Kerberos Credential Cache Collection Utilities

%description -n python3-cccolutils
Python utilities for Kerberos Credential Cache Collections

%endif # with python3


%prep
%autosetup -n CCColUtils-%{version}


%build
%py2_build
%if %{with python3}
%py3_build
%endif


%install
%py2_install
%if %{with python3}
%py3_install
%endif


%check
%{__python2} setup.py test
%if %{with python3}
%{__python3} setup.py test
%endif


%files -n python2-cccolutils
%license COPYING
%{python2_sitearch}/cccolutils.so
%{python2_sitearch}/CCColUtils-*.egg-info

%if %{with python3}
%files -n python3-cccolutils
%license COPYING
%{python3_sitearch}/cccolutils*.so
%{python3_sitearch}/CCColUtils-*.egg-info
%endif # with python3


%changelog
* Thu Nov 24 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.2-1
- Update to not ship the test suite
- Review improvements

* Wed Nov 23 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.1-2
- Update to follow guidelines

* Wed Nov 23 2016 Patrick Uiterwijk <puiterwijk@redhat.com> - 1.1-1
- Initial packaging
